Ability to edit custom fields in the host edit page
Priority: Normal   
Category: Web Interface   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

as part of #322, it is now possible to assign more variables with hosts.

this ticket should expose that work via the host edit page as well.

Related issues:

Related to Foreman - Feature #832: parameterized class support Closed 04/12/2011

Associated revisions

Revision 298756ca - 10/18/2012 08:48 AM - Amos Benari

fixes #1028 - show and override puppet class parameters in the host form.

History

#1 - 11/01/2011 09:22 AM - Ohad Levy

- Assignee changed from Amos Benari to Ohad Levy

#2 - 11/06/2011 10:04 AM - Ohad Levy

- Target version deleted (0.4)

due to a few open issue with rails, this will need to be done after the rails 3 upgrade.

#3 - 01/19/2012 10:40 AM - Ohad Levy

- Target version set to 1.0

lets try to get something out for 0.5

#4 - 03/22/2012 05:37 AM - Nicolas Vogel

My proposal :

From the host group have the ability to add parameters with these fields :

name

description

default value

read only

mandatory

validator (regex)

When you edit a host, you can see all the parameters defined in the host group (or its parents),

you can edit the value of a parameter (if it's not in read only) or even delete it if it's not mandatory, foreman use the validator to check that the value is

correct and show a message if not

#5 - 06/21/2012 04:12 AM - Ohad Levy

- Target version deleted (1.0)
https://projects.theforeman.org/issues/322


sadly i didnt get to finish this on time, hoping for a 1.1 quick release.

#6 - 09/19/2012 04:26 PM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

- Target version set to 1.1

#7 - 10/16/2012 04:22 PM - Ohad Levy

pull request at https://github.com/theforeman/foreman/pull/181

#8 - 10/18/2012 08:55 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 298756caf04420744466f0fd0e195672c9766f23.
